Extending Qt Creator Manual | MapNodeSymbolGroupNode

Extending Qt Creator Manual 4.5.2

# MapNodeSymbolGroupNode Class

The MapNodeSymbolGroupNode class is a [fake] map node with a fake array index and key/value entries consisting of ReferenceSymbolGroupNode. More...

Header: | #include <MapNodeSymbolGroupNode>
Inherits: | BaseSymbolGroupNode

- List of all members, including inherited members

## Reimplemented Public Functions

virtual void | debug(std::ostream &os, const std::string &visitingFullIname, unsigned verbosity, unsigned depth) const
virtual int | dump(std::ostream &str, const std::string &visitingFullIname, const DumpParameters &p, const SymbolGroupValueContext &ctx)

- 3 public functions inherited from BaseSymbolGroupNode
- 22 public functions inherited from AbstractSymbolGroupNode

## Static Public Members

MapNodeSymbolGroupNode * | create(int i, ULONG64 address, const std::string &type, SymbolGroupNode *key, SymbolGroupNode *value)

### Additional Inherited Members

- 3 public functions inherited from BaseSymbolGroupNode
- 22 public functions inherited from AbstractSymbolGroupNode
- 2 protected functions inherited from BaseSymbolGroupNode
- 1 static protected member inherited from AbstractSymbolGroupNode

## Detailed Description

The MapNodeSymbolGroupNode class is a [fake] map node with a fake array index and key/value entries consisting of ReferenceSymbolGroupNode.

## Member Function Documentation

### `[static]` MapNodeSymbolGroupNode *MapNodeSymbolGroupNode::create(int i, ULONG64 address, const std::string &type, SymbolGroupNode *key, SymbolGroupNode *value)

### `[virtual]` void MapNodeSymbolGroupNode::debug(std::ostream &os, const std::string &visitingFullIname, unsigned verbosity, unsigned depth) const

### `[virtual]` int MapNodeSymbolGroupNode::dump(std::ostream &str, const std::string &visitingFullIname, const DumpParameters &p, const SymbolGroupValueContext &ctx)